This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 107824 - Fix fdisk deleting partitions message
Fix fdisk deleting partitions message
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-23 10:08 EDT by David Balažic
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 15:38:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Message fix patch (415 bytes, patch)
2004-07-27 04:55 EDT, Jindrich Novy
no flags Details | Diff
util-linux-2.12a-fdiskmessage-107824.patch (451 bytes, patch)
2004-08-05 07:45 EDT, Jindrich Novy
no flags Details | Diff

  None (edit)
Description David Balažic 2003-10-23 10:08:20 EDT
Description of problem:

fdisk -l /dev/hda
prints this sometimes :
Warning: deleting partitions after 16

Please change this to a more informative and less "heart-attack-causing" :
Warning: not showing partitions after 16

Version-Release number of selected component (if applicable):

util-linux-2.11y-29.i386

How reproducible:


Steps to Reproduce:
1. have more than 16 partitions on the disk
2. fdisk -l
Comment 1 Jindrich Novy 2004-07-27 04:55:13 EDT
Created attachment 102217 [details]
Message fix patch
Comment 2 Jindrich Novy 2004-08-05 07:43:09 EDT
After consultation with Elliot Lee (sopwith@redhat.com) we changed the
text more precisely. In the time the warning is displayed, no
partitions are deleted, but and they *ARE* really deleted when user
saves partition table to disc! So the message is now changed as
noticed in the following patch.

greetings,
Jindrich
Comment 3 Jindrich Novy 2004-08-05 07:45:41 EDT
Created attachment 102443 [details]
util-linux-2.12a-fdiskmessage-107824.patch
Comment 4 Elliot Lee 2004-08-20 15:38:19 EDT
Jindrich did all the hard work - just closing the bug here to reflect
that.

Note You need to log in before you can comment on or make changes to this bug.